## arduino-cli lib install

Installs one or more specified libraries into the system.

### Synopsis

Installs one or more specified libraries into the system.

```
arduino-cli lib install LIBRARY[@VERSION_NUMBER]... [flags]
```

### Examples

```
  debian/build/bin/docsgen lib install AudioZero       # for the latest version.
  debian/build/bin/docsgen lib install AudioZero@1.0.0 # for the specific version.
  debian/build/bin/docsgen lib install --git-url https://github.com/arduino-libraries/WiFi101.git https://github.com/arduino-libraries/ArduinoBLE.git
  debian/build/bin/docsgen lib install --git-url https://github.com/arduino-libraries/WiFi101.git#0.16.0 # for the specific version.
  debian/build/bin/docsgen lib install --zip-path /path/to/WiFi101.zip /path/to/ArduinoBLE.zip

```

### Options

```
      --git-url                  Enter git url for libraries hosted on repositories
  -h, --help                     help for install
      --install-in-builtin-dir   Install libraries in the IDE-Builtin directory
      --no-deps                  Do not install dependencies.
      --no-overwrite             Do not overwrite already installed libraries.
      --zip-path                 Enter a path to zip file
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli lib](arduino-cli_lib.md)	 - Arduino commands about libraries.

